# List posts published on the platform

Returns posts published on the platform.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/posts
```

- Area: Accounts & connections / Accounts
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/posts" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/posts", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/posts",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `status`, string: One of `success`
- `posts`, array of object
  - `id`, string
  - `platform`, string
  - `message`, string
  - `createdTime`, string (date-time)
  - `permalink`, string
  - `picture`, string
  - `mediaType`, string
  - `commentCount`, integer
  - `likeCount`, integer
  - `reactionCount`, integer
  - `shareCount`, integer
  - `cid`, string
  - `subreddit`, string
  - `title`, string
  - `description`, string
  - `link`, string
  - `boardId`, string
  - `boardOwnerUsername`, string
- `lastUpdated`, string (date-time)

```json
{
  "status": "success",
  "posts": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "platform": "instagram",
      "message": "Hello from Pozy",
      "createdTime": "2026-10-02T09:00:00.000Z",
      "permalink": "string",
      "picture": "string",
      "mediaType": "string",
      "commentCount": 42,
      "likeCount": 42,
      "reactionCount": 42,
      "shareCount": 42,
      "cid": "60cc682239f4a5a15c99a784",
      "subreddit": "string",
      "title": "Launch day",
      "description": "A short description",
      "link": "string",
      "boardId": "61f823c07782cb6105482d17",
      "boardOwnerUsername": "acme"
    }
  ],
  "lastUpdated": "2026-10-02T09:00:00.000Z"
}
```
